Description

Hello,

I think there is a problem with the MSSQL connector because I have different result if I connect with "Add a MSSQL spatial layer" or with

"Add vector layer"/Database/MSSQL !

With a localhost Database, I agree everything works fine. But in this example, I don't use a local database, it is located on a virtual network

through VPN (database is on a server, and I connect to this server through a VPN). 

 - if I connect with "Add vector layer"/Database/MSSQL (host=192.168.0.100\\SQLEXPRESS), I can connect to spatial vectors, it's OK

 - if I use the same connection with "Add a MSSQL spatial layer" or with QGIS Browser, I have this error message "[Microsoft][ODBC SQL

Server Driver][SQL Server]Échec de l'ouverture de session de l'utilisateur 'XXXXX\\XXXXX'. [Microsoft][Gestionnaire de pilotes ODBC]

Échec SQLSetConnectAttr du pilote QODBC3: Unable to connect"

The thing is I need to have access not only to spatial layers, but to the whole database. And without the data connection, I can't.

Thanks for the answer.

History

#1 - 2017-05-01 01:01 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#2 - 2018-10-02 10:40 PM - Nyall Dawson

- Status changed from Open to Feedback

- Description updated

Is this still an issue with 3.2? I suspect it's just down to the difficult "magic" connection settings required for sql server connections.

#3 - 2019-02-23 08:36 PM - Jürgen Fischer

- Resolution set to no timely feedback

- Status changed from Feedback to Closed

Bulk closing 82 tickets in feedback state for more than 90 days affecting an old version.  Feel free to reopen if it still applies to a current version and you

have more information that clarify the issue.
#4 - 2019-03-05 06:00 PM - Filip Mahieu

In 3.4.1 this exists when connecting to sql server 2016. But only when not in trusted connection; then I cannot access any table/view, even spatial in the

database.
